Subject: Re: Low-hanging fruit: compulsory namespaces

From: Henri Sivonen <[email-masked]>
Date: Sun, 18 Jul 2004 23:35:58 +0300

On Wed, 14 Jul 2004 17:44:32 -0700 steve jenson wrote:

> On Jul 14, 2004, at 5:42 PM, Dare Obasanjo wrote:
>
>>     --- steve jenson <stevej@xxxxxxxxxx> wrote:
>>
>> This implies that Blogger is not using XML tools to
>> generate their feeds. No XML tools I've come across
>> would make such mistakes unless they are extremely
>> buggy. I think adding this text to the normative spec
>> is akin to adding stuff like 'best practices for
>> parsing XML with regexes' in the spec.
>
> I'm using the DOM provided with Java 1.4.2.

How? I don't see serialization features in the public API.

I use gnu.xml.pipeline.NSFilter for fixing the namespace declarations 
when serializing. (The GNU JAXP serialization code works fine with 
Crimson.)

-- 
Henri Sivonen
[email-masked]
http://iki.fi/hsivonen/